- Home
- API Enriched
- Tenant And Identity
- web
- Unassign domain owner.
Unassign domain owner.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/domain_owner/unassign';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/domain_owner/unassign \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com" }'Unassign domain owner tries to remove domain owner privilege from user in the request. It checks that requester is domain owner. It implies such steps:
- remove domain owner boolean flag
- if tenant has SSO enabled:
- mark user as SSO
- DELETE password credential
- DELETE OTP credential (if exists) NOTE: previously granted roles (including admin roles) will be retained.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Domain owner assignment request.
object
Remove domain owner privilege from user with this email.
Examplegenerated
{ "email": "hello@example.com"}Responses
Section titled “Responses”A successful response.
This can be used for messages where no values are needed.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example